%define upstream_name    Software-License-CCpack
%define upstream_version 1.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Creative Commons Attribution-NoDerivs-NonCommercial 1.0 License (CC BY-ND-NC 1.0)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Software/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Software::License)
BuildRequires: perl(Test::CheckDeps)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This "license pack" contains all of the licenses from Creative Commons,
except for CC0, which is already included in the Software::License manpage.

Note that I don't recommend using these licenses for your own CPAN modules.
(Most of the licenses aren't even compatible with CPAN.) However, S:L
modules are useful for more than mere the CPAN::Meta manpage->license
declaration, so these modules exist for those other purposes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES INSTALL LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.110.0-6.mga9
+ Revision: 1805681
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.110.0-5.mga8
+ Revision: 1497188
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.110.0-4.mga7
+ Revision: 1271202
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.110.0-3.mga6
+ Revision: 1033231
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.110.0-2.mga6
+ Revision: 965899
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 shlomif <shlomif> 1.110.0-1.mga6
+ Revision: 839147
- imported package perl-Software-License-CCpack


* Mon Jun 22 2015 cpan2dist 1.11-1mga
- initial mageia release, generated with cpan2dist
